# Generated by Django 2.1.2 on 2018-10-22 16:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('release_date', models.DateField(blank=True, null=True, verbose_name='Release Date')),
            ],
            options={
                'verbose_name': 'Album',
                'verbose_name_plural': 'Albums',
                'ordering': ('title', '-release_date'),
            },
        ),
        migrations.CreateModel(
            name='Artist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, verbose_name='Name Surname')),
                ('birthday', models.DateField(verbose_name='Birthday')),
            ],
            options={
                'verbose_name': 'Artist',
                'verbose_name_plural': 'Artists',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Music',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('release_date', models.DateField(blank=True, null=True, verbose_name='Release Date')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Updated')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('album', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='musics', to='music.Album', verbose_name='Album')),
                ('composer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='composed_musics', to='music.Artist', verbose_name='Composer')),
                ('singer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='musics', to='music.Artist', verbose_name='Singer')),
            ],
            options={
                'verbose_name': 'Music',
                'verbose_name_plural': 'Musics',
                'ordering': ('title', 'release_date'),
            },
        ),
        migrations.AddField(
            model_name='album',
            name='composer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='albums', to='music.Artist', verbose_name='Composer'),
        ),
    ]
